<?php


namespace RUMCWV;


if (!defined('ABSPATH')) {
    die('Let\'s not do this');
}
?>
<div class="cwv-tab-panel" id="tabs-dashboard">
    <h2 class="cwv-tab-heading">
        <svg class="icon">
            <use xlink:href="#icon-dashboard"></use>
        </svg>
        Core Web Vitals RUM monitoring
    </h2>
    <br />
    <div class="cwvcard pl tl intro">
        <div class="ig">
            <img src="<?php echo RUM_CWV_PLUGIN_DIR; ?>admin/img/arjen_sq.png">
            <div>
                <p style="padding:0;margin:0;">

                    Hi there, I’m Arjen. I am a Core Web Vitals specialist & Web Performance Consultant from the Netherlands.
                    <br /><br />
                   RUM CWV is a simple but effective PageSpeed monitor that measures the Core Web Vitals in very much the same was as Google does by using Real User Data (RUM)! 
                RUM CWV will give you more insight and earlier access to the Core Web Vitals data of your website.
                </p>
            </div>
        </div>
    </div>


    <div data-depends="rum_cwv_collect_rum">
        <div></div>
        <h2 class="cwv-tab-heading">
            <svg class="icon">
                <use xlink:href="#icon-css3"></use>
            </svg>
            RUM data
            <svg data-help=".rumcharthelp" class="cwv-help helpicon">
                <use xlink:href="#icon-question"></use>
            </svg>
        </h2>


        <div class="cwvhelptext rumcharthelp">
            <p>The RUM Data charts show the Real User Metrics for the Largest Contentful Paint, First Input Delay, Cumulative Layout Shift and First Contentful Paint.
                The charts show the distribution of the metrics over time.
                The charts are based on the data collected by the PageSpeed monitoring.
                The charts are updated every hour or when you refresh the RUM data manually</p>
        </div>


        <div class="rum_filter">
            <div class="rum_filter_option rum_device active" data-device="all">ALL</div>
            <div class="rum_filter_option rum_device" data-device="desktop">Desktop</div>
            <div class="rum_filter_option rum_device" data-device="mobile">Mobile</div>
        </div>

        <div class="rum_filter">
            <div class="rum_filter_option rum_metric active" data-metric="all">ALL</div>
            <div class="rum_filter_option rum_metric" data-metric="LCP">LCP</div>
            <div class="rum_filter_option rum_metric" data-metric="FID">FID</div>
            <div class="rum_filter_option rum_metric" data-metric="CLS">CLS</div>
            <div class="rum_filter_option rum_metric" data-metric="FCP">FCP</div>
            <div class="rum_filter_option rum_metric" data-metric="INP">INP</div>
            <div class="rum_filter_option rum_metric" data-metric="TTFB">TTFB</div>
        </div>

        <div class="cwv-rum-grid">
            

            <div class="cwvcard cwv-rum-card" id="LCP">
                <div class="cwv-rum-card-header">
                    <div class="cwv-rum-title" data-metric="LCP">
                        <h2>LCP</h2>
                        <p>Largest Contentful Paint</p>
                    </div>
                    <div class="cwv-rum-value">

                    </div>
                </div>
                <div class="cwv-rum-progress"></div>
                <div class="cwv-rum-timeline"><canvas></canvas></div>
                <div class="cwv-rum-histogram"><canvas></canvas></div>


            </div>
            <div class="cwvcard cwv-rum-card" id="FID">
                <div class="cwv-rum-card-header">
                    <div class="cwv-rum-title" data-metric="FID">
                        <h2>FID</h2>
                        <p>First Input Delay</p>
                    </div>
                    <div class="cwv-rum-value">

                    </div>
                </div>
                <div class="cwv-rum-progress"></div>
                <div class="cwv-rum-timeline"><canvas></canvas></div>
                <div class="cwv-rum-histogram"><canvas></canvas></div>




            </div>
            <div class="cwvcard cwv-rum-card" id="CLS">
                <div class="cwv-rum-card-header">
                    <div class="cwv-rum-title" data-metric="CLS">
                        <h2>CLS</h2>
                        <p>Cumulative Layout Shift</p>
                    </div>
                    <div class="cwv-rum-value">

                    </div>
                </div>
                <div class="cwv-rum-progress"></div>
                <div class="cwv-rum-timeline"><canvas></canvas></div>
                <div class="cwv-rum-histogram"><canvas></canvas></div>



            </div>
            <div class="cwvcard cwv-rum-card" id="FCP">
                <div class="cwv-rum-card-header">
                    <div class="cwv-rum-title" data-metric="FCP">
                        <h2>FCP</h2>
                        <p>First Contentful Paint</p>
                    </div>
                    <div class="cwv-rum-value">

                    </div>
                </div>
                <div class="cwv-rum-progress"></div>
                <div class="cwv-rum-timeline"><canvas></canvas></div>
                <div class="cwv-rum-histogram"><canvas></canvas></div>



            </div>
            <div class="cwvcard cwv-rum-card" id="INP">
                <div class="cwv-rum-card-header">
                    <div class="cwv-rum-title" data-metric="INP">
                        <h2>INP</h2>
                        <p>Interaction to Next Paint</p>
                    </div>
                    <div class="cwv-rum-value">

                    </div>
                </div>
                <div class="cwv-rum-progress"></div>
                <div class="cwv-rum-timeline"><canvas></canvas></div>
                <div class="cwv-rum-histogram"><canvas></canvas></div>



            </div>
            <div class="cwvcard cwv-rum-card" id="TTFB">
                <div class="cwv-rum-card-header">
                    <div class="cwv-rum-title" data-metric="TTFB">
                        <h2>TTFB</h2>
                        <p>Time to first byte</p>
                    </div>
                    <div class="cwv-rum-value">

                    </div>
                </div>
                <div class="cwv-rum-progress"></div>
                <div class="cwv-rum-timeline"><canvas></canvas></div>
                <div class="cwv-rum-histogram"><canvas></canvas></div>



            </div>
            <div id="urllist" class="cwvcard cwv-rum-card" style="display: none;">

            </div>
        </div>
    </div>













</div>